C04.0 Attachment J-5 Corporate Experience N4523A21R1055 YON-319.docx

DOCX document 17 KB Posted

Attached to
Maintenance, Preservation, and Repair of YON-319
Solicitation number
N4523A21R1055
Issued by

About this file

This document contains a solicitation for maintenance, preservation, and repair services for a YON-319 fuel oil barge. The Regional Maintenance Center at Puget Sound Naval Shipyard and Intermediate Maintenance Facility intends to award a firm-fixed-price contract to accomplish work on one YON-319 fuel oil barge measuring 226 feet long and 42 feet wide at a contractor's facility. The scope of work includes hull preservation and inspection, tank and void repairs, deck preservation, hatch and lifeline replacement, navigation light installation, engine maintenance, and cargo piping preservation. The period of performance is from July 22, 2021 to October 20, 2021. This is a 100% small business set-aside under NAICS code 336611 for ship building and repair with a size standard of 1,250 employees. Offerors must be registered in the System for Award Management to receive award.

View the file

Other files

File Type Posted
C09.0 RFC 028 Response N4523A21R1055 YON-319.pdf PDF
C09.0 Attachment J-2 Price Proposal Sheet YON-319 N4523A21R1055 UPDATED 12MAR2021.xls XLS spreadsheet
C09.0 Amendment 0005 N4523A21R1055 YON-319 12MAR2021.pdf PDF
C09.0 Attachment J-8 UPDATED 12MAR2021 N4523A21R1055 YON-319 Pictures Request.pdf PDF
C09.0 RFC 008-027 Responses YON-319 N4523A21R1055.pdf PDF
C09.0 Attachment J-1 SOW Errata 2 YON-319 Updated 12MAR2021 .pdf PDF
C09.0 Amendment 0004 N4523A21R1055 YON-319.pdf PDF
C09.0 Attachment J-6 UPDATED 24FEB2021 Drawing Request N4523A21R1055 YON-319.pdf PDF
C09.0 RFC 007 YON-319 N4523A21R1055.pdf PDF
C09.0 Attachment J-1 SOW Errata 1 YON-319 Updated 24FEB2021.pdf PDF
C09.0 Attachment J-8 N4523A21R1055 YON-319 Pictures Request.pdf PDF
C09.0 RFC 002-006 YON-319 N4523A21R1055.pdf PDF
C09.0 Amendment 0003 N4523A21R1055 YON-319.pdf PDF
C09.0 RFC 001 N4523A21R1055 YON-319_Redacted.pdf PDF
C09.0 Amendment 0002 N4523A21R1055 YON-319 19FEB2021.pdf PDF
C09.0 Solicitation Amendment 0001 N4523A21R1055 YON-319 10FEB2021.pdf PDF
C04.0 Exhibit A CDRLs and DIDs YON-319 N4523A21R055.pdf PDF
C04.0 Attachment J-1 SOW YON-319 N4523A21R1055 08DEC2020.pdf PDF
C04.0 Attachment J-6 N4523A21R1055 YON-319 Drawings Request.pdf PDF
C04.0 Attachment J-4 Past Performance N4523A21R1055.docx DOCX document
C04.0 Attachment J-7 BAVR Instructions YON-319 N4523A21R1055.pdf PDF
C04.0 Attachment J-2 Price Proposal Sheet YON-319 N4523A21R1055.xls XLS spreadsheet
C04.0 Solicitation N4523A21R1055 YON-319 25JAN2021 .pdf PDF
C04.0 Attachment J-3 RFC Form N4523A21R055 YON-319.docx DOCX document
Show all 24

On GovTribe

Work with this file

  • Download the original file
  • Contacts named in this file
  • Similar government files
  • Ask GovTribe AI about this file

Text version

CORPORATE EXPERIENCE DATA SHEET

N4523A21R1055 Attachment J-5

CONTRACTOR NAME____________________________________________________

Contract Number:

Date Completed:

Contract Type:
FFP_____ Cost Reimbursement ____ Other (Specify) ___________

Item/Service Description:

Contract Quantity/Period of Performance:

Customer Name:

Customer POC (Person who can verify data; Name/Title/Phone #/Email)

Address:

Telephone:

Email:

NARRATIVE- Provide narrative for specific experience to support Sub-factor 1.1 Corporate Experience as specified in Section L of the Solicitation.

NARRATIVE(Continued):

N4523A21R1050

CONTRACTOR NAME____________________________________________________

Contract Number:

Date Completed:

Contract Type:
FFP_____ Cost Reimbursement ____ Other (Specify) ___________

Item/Service Description:

Contract Quantity/Period of Performance:

Customer Name:

Customer POC (Person who can verify data; Name/Title/Phone #/Email)

Address:

Telephone:

Email:

NARRATIVE- Demonstrate specific experience providing marine preservation services of the complexity similar to or exceeding the scope identified in section 1.2 of the statement of work (SOW):

N4523A21R1050

CONTRACTOR NAME____________________________________________________

Contract Number:

Date Completed:

Contract Type:
FFP_____ Cost Reimbursement ____ Other (Specify) ___________

Item/Service Description:

Contract Quantity/Period of Performance:

Customer Name:

Customer POC (Person who can verify data; Name/Title/Phone #/Email)

Address:

Telephone:

Email:

NARRATIVE- Demonstrate specific experience providing marine preservation services of the complexity similar to or exceeding the scope identified in section 1.2 of the statement of work (SOW):

File details come from the government source that posted it. Updated .